package com.srs.workstudy.service;

import java.util.HashMap;
import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.common.core.domain.AjaxResult;
import com.srs.workstudy.domain.QgzxMoney;
import com.srs.workstudy.domain.QgzxPost;
import com.srs.workstudy.domain.QgzxStuPost;
import com.srs.workstudy.domain.QgzxWorkLog;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * 勤工助学工作记录Service接口
 *
 * @author srs
 * @date 2024-06-11
 */
public interface IQgzxWorkLogService extends IService<QgzxWorkLog> {


    public AjaxResult cancelLog(Long id);

    List<HashMap<String,Object>> listWorkLogMonthTotal(QgzxWorkLog param);
    public AjaxResult manyAudit(List<QgzxWorkLog> param);

    public AjaxResult computeTime(QgzxMoney param);

    public AjaxResult computeTimeByStuNo(String stuNo);

    public AjaxResult computeTimeById(Long id);


    public AjaxResult doAudit(QgzxWorkLog param);

    public AjaxResult cancelApply(Long id);

    public AjaxResult doSave(QgzxWorkLog param);

    public AjaxResult doApply(QgzxWorkLog param);

    public List<QgzxWorkLog> listView(QgzxWorkLog param);

    /**
     * 查询勤工助学工作记录
     *
     * @param id 勤工助学工作记录主键
     * @return 勤工助学工作记录
     */
    public QgzxWorkLog selectQgzxWorkLogById(Long id);

    /**
     * 查询勤工助学工作记录列表
     *
     * @param qgzxWorkLog 勤工助学工作记录
     * @return 勤工助学工作记录集合
     */
    List<QgzxWorkLog> selectQgzxWorkLogList(QgzxWorkLog qgzxWorkLog);

    /**
     * 新增勤工助学工作记录
     *
     * @param qgzxWorkLog 勤工助学工作记录
     * @return 结果
     */
    int insertQgzxWorkLog(QgzxWorkLog qgzxWorkLog);

    /**
     * 修改勤工助学工作记录
     *
     * @param qgzxWorkLog 勤工助学工作记录
     * @return 结果
     */
    int updateQgzxWorkLog(QgzxWorkLog qgzxWorkLog);

    /**
     * 批量删除勤工助学工作记录
     *
     * @param ids 需要删除的勤工助学工作记录主键集合
     * @return 结果
     */
    int deleteQgzxWorkLogByIds(Long[] ids);

    /**
     * 删除勤工助学工作记录信息
     *
     * @param id 勤工助学工作记录主键
     * @return 结果
     */
    int deleteQgzxWorkLogById(Long id);
}
